Skip to main content
GET
/
organisation
/
pay-element
/
{payElementId}
Get a specific pay element by ID
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/organisation/pay-element/{payElementId} \
  --header 'X-Auth-Token: <api-key>'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {},
    "metadata": {
      "dateFormat": "yyyy-MM-dd",
      "dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
      "paginationToken": "<string>"
    }
  },
  "validationIssues": [
    {
      "field": "<string>",
      "reason": "<string>",
      "reasonToken": "<string>",
      "reasonTokenArguments": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "messageToken": "<string>",
  "data": {
    "id": "PE001",
    "description": "Basic Salary",
    "taxType": "Taxable",
    "niType": "Niable",
    "payType": "Payable",
    "isPensionable": true,
    "accrueHoliday": true,
    "subjectToNmwCheck": true,
    "organisationId": "org_123",
    "createdBy": "user_123",
    "updatedBy": "user_456",
    "createdDate": "2024-01-01T00:00:00Z",
    "updatedDate": "2024-01-02T00:00:00Z",
    "isClass1ANiable": false,
    "defaultUnitName": "Hour",
    "defaultPayRate": 15.5,
    "defaultUnitValue": 1,
    "defaultChargeRate": 20,
    "billType": "NotBillable",
    "eligibility": {
      "courtOrders": {
        "cmsDeo": true,
        "dea": true,
        "aeoPriority": false,
        "aeoNonPriority": false,
        "ctaeo": false,
        "ea": false,
        "mcaeo": false
      }
    },
    "isSystemCode": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

Path Parameters

payElementId
string
required

The ID of the pay element to retrieve

Response

The pay element was retrieved

message
object
content
object
validationIssues
object[]
messageToken
string
data
object

Pay element details